# ISPConfig - Hosting Control Panel
![ISPConfig logo](https://www.ispconfig.org/wp-content/themes/ispconfig/images/ispconfig_logo.png "") \
Development branch: [![pipeline status](https://git.ispconfig.org/ispconfig/ispconfig3/badges/develop/pipeline.svg)](https://git.ispconfig.org/ispconfig/ispconfig3/commits/develop)

# Helmo's stable branch

This is not supposed to be a fork... just an easy way to distribute my personal branches to servers I'm working on.

For changes compared to the base version see https://git.ispconfig.org/helmo/ispconfig3/-/compare/3.2.9...stable-helmo?from_project_id=1

stable-helmo includes:
- The latest from the most recent stable tag.
- MR's I'm confident about.

testing-helmo include:
- All from stable-helmo
- More MR's that I'm working on

I'll try to `git merge --squash` all the things to keep the history readable.

No warrenty.. use at your own risk ;)


Update:
```
cd /tmp
wget https://git.ispconfig.org/helmo/ispconfig3/-/archive/stable-helmo/ispconfig3-stable-helmo.tar.gz
tar xvfz ispconfig3-stable-helmo.tar.gz
cd ispconfig3-stable-helmo/install
php -q update.php [--autoinstall=autoinstall.ini]
```

## Functions
- Manage multiple servers from one control panel
- Single server, multiserver and mirrored clusters.
- Webserver management
- Mailserver management
- DNS server management
- Virtualization (OpenVZ)
- Administrator, reseller, client and mailuser login
- Open Source software ([BSD license](LICENSE))

## Supported daemons
- HTTP: Apache2 and NGINX
- HTTP stats: Webalizer, GoAccess and AWStats
- Let's Encrypt: Acme.sh and certbot
- SMTP: Postfix
- POP3/IMAP: Dovecot
- Spamfilter: Rspamd and Amavis
- FTP: PureFTPD
- DNS: BIND9 and PowerDNS[^1]
- Database: MariaDB and MySQL

[^1]: not actively tested

## Supported operating systems
- Debian 9 - 11, and testing
- Ubuntu 16.04 - 20.04
- CentOS 7 and 8

## Auto-install script
You can install the "Perfect Server" with ISPConfig using [our official autoinstaller](https://www.howtoforge.com/ispconfig-autoinstall-debian-ubuntu/)

## Migration tool
The Migration Tool helps you to import data from other control panels (currently ISPConfig 2 and 3 – 3.2, Plesk 10 – 12.5, Plesk Onyx, CPanel[^2] and Confixx 3). For more information, see https://www.ispconfig.org/add-ons/ispconfig-migration-tool/

[^2]: The Migration Toolkit now contains beta support for migrating CPanel to ISPConfig.

## Documentation
You can support ISPConfig development by buying the manual: https://www.ispconfig.org/documentation/

## Contributing
If you like to contribute to the ISPConfig development, please read the contributing guidelines: [CONTRIBUTING.MD](CONTRIBUTING.md)

